
Prewikka - Bug #521

Missing dependency to pycairo

08/20/2012 05:47 PM - Antoine LUONG

Status: Closed Start date: 08/20/2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

The dependency to the pycairo library is missing, which leads to the following error when starting the prewikka-httpd server:

Traceback (most recent call last):

  File "/usr/sbin/prewikka-httpd", line 35, in <module>

    from prewikka import Core, Request, siteconfig

  File "/usr/lib/python2.6/site-packages/prewikka/Core.py", line 23, in <module>

    import prewikka.views

  File "/usr/lib/python2.6/site-packages/prewikka/views/__init__.py", line 21, in <module>

    from prewikka.views import \

  File "/usr/lib/python2.6/site-packages/prewikka/views/stats.py", line 27, in <module>

    from prewikka import User, view, Chart, utils, resolve

  File "/usr/lib/python2.6/site-packages/prewikka/Chart.py", line 29, in <module>

    from prewikka import utils, siteconfig, cairoplot

  File "/usr/lib/python2.6/site-packages/prewikka/cairoplot.py", line 34, in <module>

    import cairo

ImportError: No module named cairo

History

#1 - 08/28/2012 05:22 PM - Antoine LUONG

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to fixed

Fixed in commit 3c9186492e61e63a64601ddf768194c2e814124b.

#2 - 10/17/2016 03:42 PM - Antoine LUONG

- Status changed from Resolved to Closed
